Package Details: wordnet 3.1-1

Git Clone URL: https://aur.archlinux.org/wordnet.git (read-only)
Package Base: wordnet
Description: An Electronic Lexical Database from Princeton University
Upstream URL: http://wordnet.princeton.edu/
Licenses: custom
Submitter: None
Maintainer: Stebalien
Last Packager: Stebalien
Votes: 101
Popularity: 1.956857
First Submitted: 2007-01-12 20:32
Last Updated: 2015-06-09 16:02

Dependencies (1)

Required by (1)

Sources (4)

Latest Comments

drankinatty commented on 2014-02-16 05:55

Thanks - I see, tcl is a dependency of tk.

Stebalien commented on 2014-02-15 23:49

@drankinatty, wnb (the GUI) depends on tk.

drankinatty commented on 2014-02-15 23:39

Why 'tk' for depends instead of 'tcl'? Just curious. I've been working with packaging wordnet for Archlinux TDE (as part of koffice/kthesaurus) and I have used tcl. Would tk be better?

anotherarchguy commented on 2013-11-17 08:56

wordnet.desktop & wordnet.png links are missing. Could you please update them?

Stebalien commented on 2013-11-07 21:38

Fixed. I didn't bother bumping the pkgrel.

lxuyrbwy commented on 2013-11-07 21:32

The PKGBUILD should now have:

options=('staticlibs')

because !staticlibs has become the default in makepkg.conf, resulting in the striping of the only generated library needed by things like artha.

Regards.

headkase commented on 2013-01-09 02:02

Thank you very much Stebalien! :)

Stebalien commented on 2013-01-08 17:43

@headkase, the 3.1 database files have been included and wordnet now builds.

headkase commented on 2013-01-05 02:10

Also Stebalien,

If you have to go through the trouble of fixing up this package perhaps there is another component you could add as you'll be there anyway:

http://wordnet.princeton.edu/wordnet/download/current-version/

On that page there is a database-only update which brings the data files up to 3.1. This package is 3.0, if the 3.1 database could be merged into it that would be spiffy too.. ;)

headkase commented on 2013-01-04 22:35

W00t, thank you Stebalien!

Stebalien commented on 2013-01-04 19:06

My arch laptop is currently in for repairs but I will attempt to fix this as soon as I get it back (Jan 7th).

headkase commented on 2013-01-04 03:54

WordNet no longer compiles. Which is a bummer for myself as it is a prerequisite for Artha which I would like to install.

Anonymous comment on 2011-04-15 16:40

Upstream? It's been 3 years since they last sneezed, you should look at Debian's diff, it's essentially a fork. I kept it as vanilla as possible while still conforming to standards (in this case the freedesktop ones), this is as good as it gets.

Since I'm no longer an Arch user and e17 has been taken off my hands, I'd better orphan the rest of my packages though. To anyone wanting to pick this up, just make sure to keep the 'sed' and 'mv' lines in the pkgbuild or you will break the gui. In fact, don't change the build() at all, please, thank you. Anyway, this package requires no maintenance whatsoever, a safe an easy pick.

Anonymous comment on 2010-12-06 04:19

Your tarball has some issues. Binaries are usually frowned upon. Take for example:
wordnet/wordnet.png
"Just an icon" you say, but maybe you should ask upstream to include it. Please correct this.